@import './../../../../scss/variables.scss';
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.page-container {
  background-color: white;
  padding: 0 1.25rem 4rem 1.25rem;
}

.page-header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;

  @media screen and (min-width: $tablet) {
    margin-bottom: 1rem;
  }

  .logo {
    height: 82px;
    width: 110px;
    border: 1px solid $grey-super-light-color;
    border-radius: 4px;
    object-fit: contain;

    @media screen and (max-width: $desktop) {
      display: none;
    }
  }
}

.page-content {
  display: block;

  @media screen and (min-width: $desktop) {
    display: flex;
  }

  .first-column {
    margin-bottom: 1rem;

    @media screen and (min-width: $desktop) {
      width: 66%;
      margin-bottom: 0;
      margin-right: 1.5rem;
    }
  }
}

.column-title {
  text-transform: uppercase;
  color: $grey-dark-color;
  font-size: 0.875rem;
  display: block;
  margin-bottom: 0.5rem;
}

.dataset-list {
  border: 1px solid $grey-super-light-color;
}

.reused-dataset {
  display: flex;
  align-items: stretch;
  padding: 0.75rem;

  img {
    height: 50px;
    width: 70px;
    object-fit: cover;
    border: 1px solid $grey-super-light-color;
    border-radius: 4px;
    margin-right: 0.5rem;
  }

  .dataset-title {
    flex-grow: 1;
    display: flex;
    align-items: center;
  }

  a.link-without-decoration {
    font-size: 1rem;
    font-weight: 600;
  }

  &:not(:last-of-type) {
    padding-bottom: 0;

    .dataset-title {
      border-bottom: 1px solid $grey-super-light-color;
      padding-bottom: 0.75rem;
    }

    img {
      margin-bottom: 0.75rem;
    }
  }
}
